package com.lovenav.dao;

import com.lovenav.entity.Banners;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface BannersDao {
    int deleteByPrimaryKey(Integer id);

    int insert(Banners record);

    int insertSelective(Banners record);

    Banners selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Banners record);

    int updateByPrimaryKey(Banners record);

    List<Banners> selectAllBanners();
}